package com.sd.wln.service.impl;

import cn.hutool.core.date.DateUtil;
import com.ruoyi.common.core.domain.BasePo;
import com.sd.business.entity.outbound.po.OutboundOrder;
import com.sd.business.entity.statement.po.StatementOfAccount;
import com.sd.business.service.outbound.OutboundOrderService;
import com.sd.business.service.statement.StatementOfAccountService;
import com.sd.wln.service.WlnStatementOfAccount;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Service
public class WlnStatementOfAccountImpl implements WlnStatementOfAccount {

    @Autowired
    private StatementOfAccountService statementOfAccountService;

    @Autowired
    private OutboundOrderService outboundOrderService;

    @Override
    public void createStatementOfAccount() {
        Date date = new Date();

        Map<Long, StatementOfAccount> statementOfAccountMap = statementOfAccountService.mapKEntity(
                StatementOfAccount::getDepartmentId,
                q -> q
                        .eq(StatementOfAccount::getType, 2)
                        .between(BasePo::getCreateTime, DateUtil.beginOfDay(date), DateUtil.endOfDay(date))
        );

        List<OutboundOrder> list = outboundOrderService.list(q -> q
                .between(BasePo::getCreateTime, DateUtil.beginOfDay(date), DateUtil.endOfDay(date)));


    }

}
